Bug 490578 - (mod_perlite) Review Request: mod_perlite - Kinder, gentler embedded Perl for the Apache HTTP Server
Review Request: mod_perlite - Kinder, gentler embedded Perl for the Apache HT...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
http://modperlite.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 23:30 EDT by Chris Weyl
Modified: 2009-04-11 01:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-11 01:12:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-03-16 23:30:37 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/mod_perlite.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/mod_perlite-0.09-0.1.git20090314.fc10.src.rpm

Description:
mod_perlite is a lightweight Apache module that embeds a Perl interpreter
and suggests a default configuration where any file ending in ".pl" is
interpreted by Perl.  It is the Perl equivalent of PHP in its simplicity
and nothing like mod_perl in its complexity.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1245305

*rt-0.06
Comment 1 Parag AN(पराग) 2009-03-17 00:21:13 EDT
in build.log I see
cp: cannot create regular file `/usr/lib/httpd/modules/mod_perlite.so': Permission denied
apxs:Error: Command failed with rc=65536
.
Comment 2 Chris Weyl 2009-03-17 01:59:48 EDT
That's expected -- AFAICT the Build.PL isn't smart enough to install mod_perlite.so under our %buildroot.  ./Build install handles *.pm correctly, then mod_perlite.so is handled manually a couple lines down.
Comment 3 Iain Arnell 2009-04-09 00:16:07 EDT
- source files match upstream.  
    I can't verify - this looks like a manual tar of a local tree complete with entire .git directory. Would be better to use git-archive and add a comment with the exact command(s) used to recreate it

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license (GPL+ or Artistic).
+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock (https://koji.fedoraproject.org/koji/taskinfo?taskID=1286552).
+ package installs properly.
+ debuginfo package looks complete.
+ rpmlint has no complaints:
    mod_perlite.src: I: checking
    mod_perlite.x86_64: I: checking
    mod_perlite-debuginfo.x86_64: I: checking
    3 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides and requires are sane:
    config(mod_perlite) = 0.09-0.1.git20090314.fc11
    mod_perlite.so()(64bit)  
    perl(Perlite)  
    perl(Perlite::ConfigData)  
    perl(Perlite::IO)  
    mod_perlite = 0.09-0.1.git20090314.fc11
    mod_perlite(x86-64) = 0.09-0.1.git20090314.fc11
=
    config(mod_perlite) = 0.09-0.1.git20090314.fc11
    httpd-mmn = 20051115
    ld-linux-x86-64.so.2()(64bit)  
    ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)  
    libc.so.6()(64bit)  
    libc.so.6(GLIBC_2.2.5)(64bit)  
    libcrypt.so.1()(64bit)  
    libdl.so.2()(64bit)  
    libm.so.6()(64bit)  
    libnsl.so.1()(64bit)  
    libperl.so()(64bit)  
    libpthread.so.0()(64bit)  
    libpthread.so.0(GLIBC_2.2.5)(64bit)  
    libresolv.so.2()(64bit)  
    libutil.so.1()(64bit)  
    perl(:MODULE_COMPAT_5.10.0)  
    perl(:WITH_PERLIO)  
    perl(strict)  
    perl(warnings)  
    rpmlib(CompressedFileNames) <= 3.0.4-1
    rpmlib(FileDigests) <= 4.6.0-1
    rpmlib(PayloadFilesHavePrefix) <= 4.0-1
    rtld(GNU_HASH)  

+ %check is present and all tests pass.
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


APPROVED assuming you'll make Source0 a little cleaner.
Comment 4 Chris Weyl 2009-04-09 00:55:04 EDT
(In reply to comment #3)
> - source files match upstream.  
>     I can't verify - this looks like a manual tar of a local tree complete with
> entire .git directory. Would be better to use git-archive and add a comment
> with the exact command(s) used to recreate it

Will do :)
Comment 5 Chris Weyl 2009-04-09 01:09:38 EDT
New Package CVS Request
=======================
Package Name: mod_perlite
Short Description: Kinder, gentler embedded Perl for the Apache HTTP Server
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC:
Comment 6 Kevin Fenzi 2009-04-09 17:09:48 EDT
cvs done.
Comment 7 Chris Weyl 2009-04-11 01:12:10 EDT
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.